<template>
	<v-divider
		class="border-opacity-100"
		color="#E4E4E4"
		:thickness="2"
	></v-divider>
	<v-container class="ma-auto pt-8 mb-14">
		<v-sheet class="d-flex align-center justify-space-between">
			<v-col cols="12" sm="4" class="pa-0">
				<v-card-text class="pa-0">
					<v-text-field
						density="compact"
						variant="outlined"
						color="#E4E4E4"
						base-color="E4E4E4"
						label="Search name"
						append-inner-icon="mdi-magnify"
						single-line
						hide-details
						rounded="8"
					></v-text-field>
				</v-card-text>
			</v-col>

			<v-btn
				class="btn__add"
				color="#D90E32"
				height="42"
				rounded="lg"
				@click="$router.push('/create-companies')"
			>
				<v-icon></v-icon>
				Add new company
			</v-btn>
		</v-sheet>

		<Table></Table>

		<v-sheet>
			<Pagination class="text-left" />
		</v-sheet>
	</v-container>
</template>

<script>
import Table from '@/components/Table.vue'
import Pagination from '@/components/Pagination.vue'
import { mapGetters } from 'vuex'

export default {
	name: 'CompaniesPage',
	components: {
		Table,
		Pagination,
	},

	computed: {
		...mapGetters(['']),
	},
}
</script>

<style lang="scss">
.btn__add {
	padding: 9px 18px;
	font-size: 12px;
	font-weight: 700;
	line-height: 20px;
	text-transform: uppercase;
}
</style>
